%if 0%{?el7}
%define dist .el7
%endif

### git clone https://github.com/monsieurvideo/get-flash-videos.git get-flash-videos-1.25
### tar acvf get-flash-videos-1.25.tar.xz get-flash-videos-1.25 --exclude=.git
### git log -1 --pretty=format:".git%h"

%define gitver .git26dc476

Name:           get-flash-videos
Version:        1.25
Release:        9%{?gitver}%{?dist}
Summary:        Download or play videos from various Flash-based video hosting sites, without having to use the Flash player.

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

Group:          Development/Libraries
License:        ASL 2.0
URL:            https://github.com/momo-i/get-flash-videos
Source0:        %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
# Correct for lots of packages, other common choices include eg. Module::Build
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%if 0%{?rhel} == 6
BuildRequires:  perl(Net::SSL)
%endif
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Compress::Zlib)
BuildRequires:  perl(HTML::Entities)
BuildRequires:  perl(Module::Find)
BuildRequires:  perl(WWW::Mechanize)
BuildRequires:  perl(LWP::Protocol::https)
BuildRequires:  perl(Tie::IxHash)
BuildRequires:  perl(XML::Simple)
BuildRequires:  perl(Test)

%{?perl_default_filter}

%description
%{summary}
For details on the project as a whole please see the Google Code Site, which
also has downloads, which are the recommended way to install.

%prep
%setup -q

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# Remove the next line from noarch packages (unneeded)
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
#make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README utils/autoplay.sh utils/ff-get-flash-video utils/uncompress-flash.pl
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{_bindir}/get_flash_videos
%{perl_vendorlib}/*
%{_mandir}/man1/get_flash_videos.1*

%changelog
* Thu Mar 03 2016 momo-i <webmaster@momo-i.org> - 1.25-9.git26dc476
- Add BuildRequires perl(Test)

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 1.25-8.git26dc476
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 1.25-7.git26dc476
- Rebuilt for fc23

* Sun Jul 26 2015 momo-i <webmaster@momo-i.org> - 1.25-6
- Update to 26dc476

* Thu Jul 16 2015 momo-i <webmaster@momo-i.org> - 1.25-5
- Update to 287278b

* Fri Jun 12 2015 momo-i <webmaster@momo-i.org> - 1.25-4
- Update to 3436ff7

* Wed Apr 15 2015 momo-i <webmaster@momo-i.org> - 1.25-3
- Update to eae1ac2
- Rebuilt for fc22

* Tue Dec 16 2014 momo-i <webmaster@momo-i.org> - 1.25-2
- Update git ver f57dbc2

* Wed May 14 2014 momo-i <webmaster@momo-i.org> - 1.25-1
- Initial rpm release.
